.TH TRX-RX 1

.SH NAME
trx-rx \- real-time audio receiver over IP

.SH SYNOPSIS
.B trx-rx
[\fB\-d \fIDEV\fR]
[\fB\-m \fIMS\fR]
[\fB\-h \fIADDR\fR]
[\fB\-p \fIPORT\fR]
[\fB\-j \fIMS\fR]
[\fB\-r \fIRATE\fR]
[\fB\-c \fIN\fR]
[\fB\-v \fIN\fR]
[\fD\-v \fIFILE\fR]

.SH DESCRIPTION
.B trx-rx
receives real-time audio over IP and plays it out to an ALSA audio device.

.SH OPTIONS
.TP
.BR \-d " " \fIDEV\fR
The alsa device name. Default is 'default'

.TP
.BR \-m " " \fIMS\fR
Set the buffer time. Default is 16 milliseconds

.TP
.BR \-h " " \fIADDR\fR
Set the IP address to listen on. Default is ::

.TP
.BR \-p " " \fIPORT\fR
Set the UDP port to listen on. Default is 1350

.TP
.BR \-j " " \fIMS\fR
Set the jitter buffer length. Default is 16 milliseconds.

.TP
.BR \-r " " \fIRATE\fR
Set the sample rate. Default is 48000Hz.

.TP
.BR \-c " " \fIN\fR
Set the number of channels. Default is 2.

.TP
.BR \-v " " \fIN\fR
Set the verbosity level. Higher \fIN\fR implies more verbosity. Default is 1.

.TP
.BR \-D " " \fIFILE\fR
Run the receiver as a daemon, writing the process ID to \fIFILE\fR.

.SH NOTES
The Debian package has renamed the upstream binary \fBrx\fR to \fBtrx-rx\fR as
it is less generic and less likely to collide with other packaged binaries.

.SH EXAMPLE
To receive audio being sent to the local interface with the IP address 239.0.0.1
use the following:
.PP
.nf
.RS
trx-rx -h 239.0.0.1
.RE
.fi
.PP
